package model

// ManageMaterial 维修器材数据模型
type ManageMaterial struct {
	Model
	ModelTenant
	ManufacturerID uint64 `gorm:"column:manufacturer_id;type:int;default:0;comment:制造商ID" json:"-"`
	Code           string `gorm:"column:code;type:varchar(35);default:null;comment:编号" json:"code"`
	Title          string `gorm:"column:title;type:varchar(100);default:null;comment:名称" json:"title"`
	Image
	Price  float64            `gorm:"column:price;type:decimal(10,2);default:0;comment:单价" json:"price"`
	Unit   ManageMaterialUnit `gorm:"column:unit;type:tinyint(1);default:0;comment:单位" json:"unit"`
	Remark string             `gorm:"column:remark;type:varchar(255);default:null;comment:备注" json:"remark"`
	ModelDeleted
	ModelAt
}

// ManageMaterialUnit 单位类型
type ManageMaterialUnit int

const (
	// ManageMaterialUnitForIndividual 个
	ManageMaterialUnitForIndividual ManageMaterialUnit = iota + 1
)

func (m *ManageMaterial) TableName() string {
	return "manage_material"
}

func NewManageMaterial() *ManageMaterial {
	return &ManageMaterial{}
}
