package model

// ManageMaterialPurchase 维修器材采购数据明细
type ManageMaterialPurchase struct {
	Model
	UID        uint64  `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	OrderNo    string  `gorm:"column:order_no;type:varchar(30);default:null;comment:采购单号" json:"order_no"`
	MaterialID uint64  `gorm:"column:material_id;type:int(6);default:0;comment:器材ID" json:"-"`
	SupplierID uint64  `gorm:"column:supplier_id;type:int(6);default:0;comment:供应商ID" json:"-"`
	Price      float64 `gorm:"column:price;type:decimal(10,2);default:0;comment:采购单价" json:"price"`
	Number     float64 `gorm:"column:number;type:decimal(10,2);default:0;comment:采购数量" json:"number"`
	Remark     string  `gorm:"column:remark;type:varchar(255);default:null;comment:采购备注" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *ManageMaterialPurchase) TableName() string {
	return "manage_material_purchase"
}

func NewManageMaterialPurchase() *ManageMaterialPurchase {
	return &ManageMaterialPurchase{}
}
