package model

// ManageMaterialSupplier 器材供应商数据模型
type ManageMaterialSupplier struct {
	Model
	MaterialID  uint64  `gorm:"column:material_id;type:int(11);default:0;comment:器材ID" json:"material_id"`
	SupplierID  uint64  `gorm:"column:supplier_id;type:int(11);default:0;comment:供应商ID" json:"-"`
	Stock       float64 `gorm:"column:stock;type:decimal(10,2);default:0;comment:库存数" json:"stock"`
	FrozenStock float64 `gorm:"column:frozen_stock;type:decimal(10,2);default:0;comment:冻结的库存数" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *ManageMaterialSupplier) TableName() string {
	return "manage_material_supplier"
}

func NewManageMaterialSupplier() *ManageMaterialSupplier {
	return &ManageMaterialSupplier{}
}
