package model

// ManageMaterialWarehouse 维修器材采购入库明细
type ManageMaterialWarehouse struct {
	Model
	UID                uint64  `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	OrderNo            string  `gorm:"column:order_no;type:varchar(20);default:null;comment:采购单号" json:"order_no"`
	MaterialPurchaseID uint64  `gorm:"column:material_purchase_id;type:int(11);default:0;comment:器材采购ID" json:"material_purchase_id"`
	Number             float64 `gorm:"column:number;type:decimal(10,2);default:0;comment:入库数量" json:"number"`
	Remark             string  `gorm:"column:remark;type:varchar(255);default:null;comment:入库备注" json:"remark"`
	ModelDeleted
	ModelAt
}

func (m *ManageMaterialWarehouse) TableName() string {
	return "manage_material_warehouse"
}

func NewManageMaterialWarehouse() *ManageMaterialWarehouse {
	return &ManageMaterialWarehouse{}
}
