package model

// ManageSupplier 供应商数据模型
type ManageSupplier struct {
	Model
	ModelTenant
	Kind     ManageSupplierKind `gorm:"column:kind;type:tinyint(1);default:1;comment:类型" json:"kind"`
	Name     string             `gorm:"column:name;type:varchar(100);default:null;comment:名称" json:"name"`
	Mobile   string             `gorm:"column:mobile;type:varchar(20);default:null;comment:联系方式" json:"mobile"`
	Contacts string             `gorm:"column:contacts;type:varchar(20);default:null;comment:联系人" json:"contacts"`
	Address  string             `gorm:"column:address;type:varchar(255);default:null;comment:联系地址" json:"address"`
	Position string             `gorm:"column:position;type:varchar(20);default:null;comment:坐标" json:"position"`
	Remark   string             `gorm:"column:remark;type:varchar(255);default:null;comment:备注信息 " json:"remark"`
	ModelDeleted
	ModelAt
}

// ManageSupplierKind 供应商类型
type ManageSupplierKind int

const (
	// ManageSupplierKindForManufacturer 制造商
	ManageSupplierKindForManufacturer ManageSupplierKind = iota + 101
	// ManageSupplierKindForMaterial 材料合作供应商
	ManageSupplierKindForMaterial
	// ManageSupplierKindForRepair 维修合作供应商
	ManageSupplierKindForRepair
)

func (*ManageSupplier) TableName() string {
	return "manage_supplier"
}

func NewManageSupplier() *ManageSupplier {
	return &ManageSupplier{}
}
