package model

// SysAuthRule 用户角色权限规则，公用组件库-实例: `p, admin, tenant, data, read`
type SysAuthRule struct {
	Model
	Ptype string `gorm:"column:ptype;type:varchar(100);default:null;comment:策略(组g/人员p)" json:"ptype"` // 相当于policy.csv文件中 一行中的 p
	V0    string `gorm:"column:v0;type:varchar(100);default:null;comment:角色/用户" json:"v0"`            // 相当于policy.csv文件中 一行中的 role (角色)(例如:admin)
	V1    string `gorm:"column:v1;type:varchar(100);default:null;comment:平台/角色" json:"v1"`            // 相当于policy.csv文件中 一行中的 sub (用户)(例如:tenant)
	V2    string `gorm:"column:v2;type:varchar(100);default:null;comment:路由/平台" json:"v2"`            // 相当于policy.csv文件中 一行中的 obj (被操作的服务器资源)(例如:data)
	V3    string `gorm:"column:v3;type:varchar(100);default:null;comment:请求方式" json:"v3"`             // 相当于policy.csv文件中 一行中的 act (操作者的行为)(例如:read)
	V4    string `gorm:"column:v4;type:varchar(100);default:null;comment:-" json:"v4"`
	V5    string `gorm:"column:v5;type:varchar(100);default:null;comment:-" json:"v5"`
}

func (m *SysAuthRule) TableName() string {
	return "sys_auth_rule"
}

func NewSysAuthRule() *SysAuthRule {
	return &SysAuthRule{}
}
