package model

// SysConfig 系统配置信息
type SysConfig struct {
	Model
	Kind  SysConfigKind `gorm:"column:kind;type:tinyint(3);default:0;comment:类型" json:"kind"`
	Name  string        `gorm:"column:name;type:varchar(30);default:null;comment:名称" json:"name"`
	Key   string        `gorm:"column:key;type:varchar(30);default:null;comment:标识" json:"key"`
	Value string        `gorm:"column:value;type:varchar(255);default:null;comment:内容" json:"value"`
	ModelDeleted
	ModelAt
}

// SysConfigKind 系统配置分类
type SysConfigKind int

const (
	// SysConfigKindForBasic 基本配置
	SysConfigKindForBasic SysConfigKind = iota + 1
	// SysConfigKindForWeChat 微信配置
	SysConfigKindForWeChat
	// SysConfigKindForAliPay 支付宝配置
	SysConfigKindForAliPay
	// SysConfigKindForGD 高德配置
	SysConfigKindForGaoDe
	// SysConfigKindForBaiDu 百度配置
	SysConfigKindForBaiDu
)

func (m *SysConfig) TableName() string {
	return "sys_config"
}

func NewSysConfig() *SysConfig {
	return &SysConfig{}
}
