package model

// SysLog 系统日志
type SysLog struct {
	Model
	ModelTenant
	UID    uint64 `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	Name   string `gorm:"column:name;type:varchar(20);default:null;comment:真实姓名" json:"name"`
	Method string `gorm:"column:method;type:varchar(8);default:null;comment:请求方式" json:"method"`
	Path   string `gorm:"column:path;type:varchar(8);default:0;comment:请求地址" json:"event"`
	Params string `gorm:"column:params;type:text;default:null;comment:参数信息" json:"params"`
	IP     string `gorm:"column:ip;type:char(16);default:null;comment:IP地址" json:"ip"`
	ModelDeleted
	ModelAt
}

func (m *SysLog) TableName() string {
	return m.NewTableName("sys_log")
}

func NewSysLog() *SysLog {
	return &SysLog{}
}
