package model

// WorkProgress 工单进度数据模型
type WorkProgress struct {
	Model
	UID        uint64             `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	WorkID     uint64             `gorm:"column:work_id;type:int(11);default:0;comment:工单ID" json:"-"`
	ScheduleID uint64             `gorm:"column:schedule_id;type:int(11);default:0;comment:工单流程ID" json:"-"`
	Status     WorkProgressStatus `gorm:"column:status;type:tinyint(1);default:0;comment:状态" json:"-"`
	Remark     string             `gorm:"column:remark;type:varchar(255);default:null;comment:备注信息" json:"remark"`
	ModelDeleted
	ModelAt
}

// WorkProgressStatus 工单进度状态
type WorkProgressStatus int

const (
	// WorkProgressStatusForRefuse 拒绝
	WorkProgressStatusForRefuse WorkProgressStatus = iota - 1
	// WorkProgressStatusForCreate 新建
	WorkProgressStatusForCreate
	// WorkProgressStatusForAgree 同意
	WorkProgressStatusForAgree
)

func (m *WorkProgress) TableName() string {
	return "work_progress"
}

func NewWorkProgress() *WorkProgress {
	return &WorkProgress{}
}
