package model

// WorkRepairDetail 维修工单详细数据模型
type WorkRepairDetail struct {
	Model
	UID      uint64               `gorm:"column:uid;type:int;default:0;comment:用户uuid" json:"-"`
	RepairID uint64               `gorm:"column:repair_id;type:int(11);default:0;comment:维修工单ID" json:"-"`
	Tage     WorkRepairDetailTags `gorm:"column:tage;type:varchar(255);default:null;comment:标签" json:"tage"`
	Remark   string               `gorm:"column:remark;type:varchar(255);default:null;comment:备注信息" json:"remark"`
	Other    string               `gorm:"column:other;type:varchar(255);default:null;comment:其他信息" json:"other"`
	ModelDeleted
	ModelAt
}

type (
	WorkRepairDetailForFinish struct {
		Image string `json:"image"`
	}
)

type WorkRepairDetailTags string

const (
	WorkRepairDetailTagsForBegin  WorkRepairDetailTags = "开始维修"
	WorkRepairDetailTagsForFinish WorkRepairDetailTags = "完成维修"
)

func (m *WorkRepairDetail) TableName() string {
	return "work_repair_detail"
}

func NewWorkRepairDetail() *WorkRepairDetail {
	return &WorkRepairDetail{}
}
