package lib

import (
	"strconv"
	"testing"

	"gopkg.in/gomail.v2"
)

func SendMail(mailTo []string, subject string, body string) error {
	//定义邮箱服务器连接信息，如果是阿里邮箱 pass填密码，qq邮箱填授权码
	mailConn := map[string]string{
		"alias": "postmaster",
		"user":  "postmaster@ipeace.org.cn",
		"pass":  "Email@henry!",
		"host":  "smtp.qiye.aliyun.com",
		"port":  "465",
	}
	port, _ := strconv.Atoi(mailConn["port"]) //转换端口类型为int

	m := gomail.NewMessage()
	m.SetHeader("From", m.FormatAddress(mailConn["user"], mailConn["alias"]))
	m.SetHeader("To", mailTo...)
	m.SetHeader("Subject", subject)
	m.SetBody("text/html", body)

	return gomail.NewDialer(mailConn["host"], port, mailConn["user"], mailConn["pass"]).DialAndSend(m)
}

func TestNewEmail(t *testing.T) {
	//定义收件人
	mailTo := []string{
		"592856124@qq.com",
	}
	//邮件主题为"Hello"
	subject := "Hello"
	// 邮件正文
	body := "Good"
	err := SendMail(mailTo, subject, body)
	t.Log(err)
}
